---
agentTools:
  projectIndex: https://docs.developer.yelp.com/llms.txt
---

# Get Subscribed Business List

[block:callout]
{
  "type": "warning",
  "body": "Please migrate to the [Business Subscriptions API](https://docs.developer.yelp.com/docs/business-subscriptions-api)",
  "title": "Location Subscription API is deprecated"
}
[/block]

Get the List of businesses included in the Partners' Feed.

## 200 Success Response Schema

[block:parameters]
{
  "data": {
    "h-0": "Field Name",
    "h-1": "Field Type",
    "h-2": "Field Description",
    "0-0": "`total`",
    "0-1": "`integer`",
    "0-2": "Total number of businesses subscribed to for the Partners' Feed.",
    "1-0": "`offset`",
    "2-0": "`limit`",
    "1-1": "`integer`",
    "2-1": "`integer`",
    "2-2": "Current limit.",
    "1-2": "Current offset.",
    "3-0": "`subscriptions`",
    "3-1": "`list`",
    "3-2": "List of businesses subscribed to for the Partners' Feed.",
    "4-0": "`subscriptions.business_id`",
    "4-1": "`string`",
    "4-2": "Business identifier.",
    "5-0": "`subscriptions.subscribed_at`",
    "5-1": "`string`",
    "5-2": "Time when the subscription started."
  },
  "cols": 3,
  "rows": 6
}
[/block]

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "Syndication Base API",
    "version": "1.0"
  },
  "servers": [
    {
      "url": "https://partner-api.yelp.com/syndication"
    }
  ],
  "components": {
    "securitySchemes": {
      "sec0": {
        "type": "oauth2",
        "flows": {
          "clientCredentials": {
            "tokenUrl": "https://example.com/oauth2/token",
            "scopes": {}
          }
        }
      }
    }
  },
  "security": [
    {
      "sec0": []
    }
  ],
  "paths": {
    "/businesses/v2": {
      "get": {
        "summary": "Get Subscribed Business List",
        "description": "",
        "operationId": "get_business_subscriptions_v2",
        "parameters": [
          {
            "name": "limit",
            "in": "query",
            "description": "Number of business IDs returned on this request, maximum 10 000, minimum 1.",
            "schema": {
              "type": "integer",
              "format": "int32",
              "default": 100
            }
          },
          {
            "name": "offset",
            "in": "query",
            "description": "Position of first business ID returned on this request, minimum 0.",
            "schema": {
              "type": "integer",
              "format": "int32",
              "default": 0
            }
          }
        ],
        "responses": {
          "200": {
            "description": "200",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{\n  \"total\": 3,\n  \"limit\": 2,\n  \"offset\": 0,\n  \"subscriptions\": [\n    {\n      \"subscribed_at\": \"2020-02-21T10:40:50+00:00\",\n      \"business_id\": \"VUMc8yNaIW7E3K19nabXfA\"\n    },\n    {\n      \"subscribed_at\": \"2020-02-21T10:43:11+00:00\",\n      \"business_id\": \"bOEsE8ZSp6ltTKB9deFeYw\"\n    }\n  ]\n}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "total": {
                      "type": "integer",
                      "example": 3,
                      "default": 0
                    },
                    "limit": {
                      "type": "integer",
                      "example": 2,
                      "default": 0
                    },
                    "offset": {
                      "type": "integer",
                      "example": 0,
                      "default": 0
                    },
                    "subscriptions": {
                      "type": "array",
                      "items": {
                        "type": "object",
                        "properties": {
                          "subscribed_at": {
                            "type": "string",
                            "example": "2020-02-21T10:40:50+00:00"
                          },
                          "business_id": {
                            "type": "string",
                            "example": "VUMc8yNaIW7E3K19nabXfA"
                          }
                        }
                      }
                    }
                  }
                }
              }
            }
          }
        },
        "deprecated": false,
        "x-readme": {
          "code-samples": [
            {
              "language": "shell",
              "code": "curl -X GET \\\n     -H \"Accept: application/json\" \\\n     -H \"Content-type: application/json\" \\\n     --user \"<user>:<password>\" \\\n     \"https://partner-api.yelp.com/syndication/businesses/v2?limit=1&offset=1\""
            }
          ],
          "samples-languages": [
            "shell"
          ]
        }
      }
    }
  },
  "x-readme": {
    "headers": [],
    "explorer-enabled": false,
    "proxy-enabled": true
  },
  "x-readme-fauxas": true,
  "_id": "60195a1ba598790011c3b4d2:60196bb6aabe240053c2f960"
}
```